﻿@using dbChange.Models.LIB;
@using  System.Globalization;
@{
    ViewData["Title"] = "Năng lục sản xuất theo đơn vị";
    Layout = "~/Views/Shared/_Layout_NLSX.cshtml";
    var ThangHienTai = DateTime.Now.Month;
    var NamHienTai = DateTime.Now.Year;
    List<string> lsThangNam = new List<string>();
    for (int i = 1; i <= 52; i++)
    {
        lsThangNam.Add(i.ToString());
    }
    var DonVi = ViewData["DonVi"] as List<DM_BoPhanChiTiet>;

    var TuanHienTai = 1;
    var time = DateTime.Now;
    DayOfWeek day = CultureInfo.InvariantCulture.Calendar.GetDayOfWeek(time);
    if (day >= DayOfWeek.Monday && day <= DayOfWeek.Wednesday)
    {
        time = time.AddDays(3);
    }

    // Return the week of our adjusted day
    TuanHienTai = CultureInfo.InvariantCulture.Calendar.GetWeekOfYear(time, CalendarWeekRule.FirstFourDayWeek, DayOfWeek.Monday);

}
<div class="iq-card">
    <div class="iq-card-body">
        <form id="formSearch">
            <div class="row">

                <div class="col-md-6 col-sm-6 col-12">
                    <div class="form-group row">
                        <label for="inputPassword" class="col-md-3 col-sm-12 col-12 col-form-label">Tuần tùy chọn</label>
                        <div class="col-md-7 col-sm-12 col-12 pb-1">
                            <select class="form-group form-control  Tuan" id="Tuan" name="Tuan[]" multiple="multiple">
                                @{
                                    foreach (string s in lsThangNam)
                                    {
                                    @if (s == TuanHienTai.ToString())
                                        {
                                    <option selected value="@s">Tuần thứ @s</option>
                                        }
                                        else
                                        {
                                    <option value="@s">Tuần thứ @s</option>
                                        }
                                    }
                                }
                            </select>
                        </div>
                        <div class="col-md-2 col-sm-12 col-12">
                            <div class="form-group">
                                <button type="button" class="btn btn-primary form-control-sm" id="btnXem_Tuan" style="line-height:16px;"><i class="fa fa-search-minus" aria-hidden="true"></i>Xem</button>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </form>
        <h4 class="TieuDe text-center" style="color:brown;font-weight:bold;text-transform:uppercase;"></h4>
        <div id="gridContainer">Đang tải dữ liệu....</div>
    </div>
</div>



<div class="modal fade" id="modal_ShowNguonHang" tabindex="-1" role="dialog" aria-labelledby="exampleModalScrollableTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalScrollableTitle">Chi tiết nguồn hàng</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div id="gridContainerNguonHang">Đang tải dữ liệu....</div>
            </div>
            <div class="modal-footer">
                <input type="hidden" class="btn btn-secondary btnLamMoi_ShowNguonHang" value="Đóng" />
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Đóng</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="modal_ShowNangLuc" tabindex="-1" role="dialog" aria-labelledby="exampleModalScrollableTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalScrollableTitle">Chi tiết năng lực</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div id="gridContainerNangLuc">Đang tải dữ liệu....</div>
            </div>
            <div class="modal-footer">
                <input type="hidden" class="btn btn-secondary btnLamMoi_ShowNangLuc" value="Đóng" />
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Đóng</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="modal_ShowChenhLech" tabindex="-1" role="dialog" aria-labelledby="exampleModalScrollableTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalScrollableTitle">Chi tiết chênh lệch</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div id="gridContainerChenhLech">Đang tải dữ liệu....</div>
            </div>
            <div class="modal-footer">
                <input type="hidden" class="btn btn-secondary btnLamMoi_ShowChenhLech" value="Đóng" />
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Đóng</button>
            </div>
        </div>
    </div>
</div>